--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Try to grab and IRCify the first HTML par (&lt;p&gt; tag) in the given string. If possible, grab the one after the first heading
- !ruby/struct:SM::Flow::P 
  body: It is possible to pass some options to determine how the stripping occurs. Currently supported options are
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "strip:"
    body: Regex or String to strip at the beginning of the obtained text
  - !ruby/struct:SM::Flow::LI 
    label: "min_spaces:"
    body: minimum number of spaces a paragraph should have
  type: :NOTE
full_name: "::Utils::ircify_first_html_par"
is_singleton: true
name: ircify_first_html_par
params: (xml_org, opts={})
visibility: public
